Package fr.gouv.vitam.common.database.builder.request.configuration

# Class GlobalDatas

java.lang.Object
fr.gouv.vitam.common.database.builder.request.configuration.GlobalDatas

Direct Known Subclasses:
  `GlobalDatasParser`

public class GlobalDatas extends Object
Main configuration for Query support

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `LIMIT_LOAD`
  Default limit for loading result
  `static final int`
  `MAXDEPTH`
  Default max depth: should be 30 but let a great margin
  `static final int`
  `NB_FACETS`
  Default limit for number of facets
  `static final int`
  `NB_FILTERS`
  Default limit for number of filters
  `static final int`
  `NB_PROJECTIONS`
  Default limit for number of projections
  `static final int`
  `NB_ROOTS`
  Default limit for number of roots

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GlobalDatas()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final com.fasterxml.jackson.databind.node.ObjectNode`
  `getDate(Date date)`
  `static int`
  `getLimitParameter()`
  `static int`
  `getLimitValue()`
  `static final com.fasterxml.jackson.databind.JsonNode`
  `getValueJsonNode(Object value)`
  `protected static final void`
  `sanityCheck(String arg, int size)`
  Check the String if conforms to sanity check
  `static final void`
  `sanityParameterCheck(String arg)`
  Check the String if conforms to sanity check for small parameters
  `static final void`
  `sanityParametersCheck(String arg, int multipleParams)`
  Check the String if conforms to sanity check for small parameters
  `static final void`
  `sanityValueCheck(String arg)`
  Check the String if conforms to sanity check
  `static final void`
  `sanityValueCheck(List<?> arg)`
  Check the List of arguments if conforms to sanity check
  `static final void`
  `sanityVariableNameCheck(String arg)`
  Check the Variable name if conforms to sanity check
  `static void`
  `setArrayValueFromList(com.fasterxml.jackson.databind.node.ArrayNode array, List<?> list)`
  Helper to set Value from a List into an ArrayNode
  `static void`
  `setLimitParameter(int limitParameter)`
  `static void`
  `setLimitValue(int limitValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LIMIT_LOAD

    public static final int LIMIT_LOAD
    Default limit for loading result
    See Also:
      - Constant Field Values

  - ### NB_ROOTS

    public static final int NB_ROOTS
    Default limit for number of roots
    See Also:
      - Constant Field Values

  - ### NB_FILTERS

    public static final int NB_FILTERS
    Default limit for number of filters
    See Also:
      - Constant Field Values

  - ### NB_FACETS

    public static final int NB_FACETS
    Default limit for number of facets
    See Also:
      - Constant Field Values

  - ### NB_PROJECTIONS

    public static final int NB_PROJECTIONS
    Default limit for number of projections
    See Also:
      - Constant Field Values

  - ### MAXDEPTH

    public static final int MAXDEPTH
    Default max depth: should be 30 but let a great margin
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GlobalDatas

    protected GlobalDatas()

- ## Method Details

  - ### sanityCheck

    protected static final void sanityCheck(String arg, int size) throws InvalidParseOperationException
    Check the String if conforms to sanity check
    Parameters:
      `arg` - argument
      `size` - limit
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### sanityValueCheck

    public static final void sanityValueCheck(String arg) throws InvalidParseOperationException
    Check the String if conforms to sanity check
    Parameters:
      `arg` - argument
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### sanityValueCheck

    public static final void sanityValueCheck(List<?> arg) throws InvalidParseOperationException
    Check the List of arguments if conforms to sanity check
    Parameters:
      `arg` - argument as List
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### sanityParameterCheck

    public static final void sanityParameterCheck(String arg) throws InvalidParseOperationException
    Check the String if conforms to sanity check for small parameters
    Parameters:
      `arg` - argument
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### sanityParametersCheck

    public static final void sanityParametersCheck(String arg, int multipleParams) throws InvalidParseOperationException
    Check the String if conforms to sanity check for small parameters
    Parameters:
      `arg` - argument
      `multipleParams` - how many parameters
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error

  - ### getDate

    public static final com.fasterxml.jackson.databind.node.ObjectNode getDate(Date date)
    Parameters:
      `date` - param
    Returns:
      the corresponding Date in Json format
    Throws:
      `IllegalArgumentException` - if date is null

  - ### getValueJsonNode

    public static final com.fasterxml.jackson.databind.JsonNode getValueJsonNode(Object value) throws InvalidCreateOperationException
    Parameters:
      `value` - of node
    Returns:
      the JsonNode for Value
    Throws:
      `InvalidCreateOperationException` - when object is not json

  - ### sanityVariableNameCheck

    public static final void sanityVariableNameCheck(String arg) throws InvalidParseOperationException
    Check the Variable name if conforms to sanity check
    Parameters:
      `arg` - argument
    Throws:
      `InvalidParseOperationException` - if the sanity check is in error
      `IllegalArgumentException` - if arg is null

  - ### getLimitValue

    public static int getLimitValue()
    Returns:
      the current LimitValue (sanity check)

  - ### setLimitValue

    public static void setLimitValue(int limitValue)
    Parameters:
      `limitValue` - the new limit Value to set (sanity check)

  - ### getLimitParameter

    public static int getLimitParameter()
    Returns:
      the current LimitParameter (sanity check)

  - ### setLimitParameter

    public static void setLimitParameter(int limitParameter)
    Parameters:
      `limitParameter` - the new limiteParameter to set (sanity check)

  - ### setArrayValueFromList

    public static void setArrayValueFromList(com.fasterxml.jackson.databind.node.ArrayNode array, List<?> list)
    Helper to set Value from a List into an ArrayNode
    Parameters:
      `array` -
      `list` -